import request from '@/utils/request'

// 查询环保批文主要内容列表
export function listEnvironapprcont(query) {
  return request({
    url: '/ehs/environapprcont/list',
    method: 'get',
    params: query
  })
}

// 查询环保批文主要内容详细
export function getEnvironapprcont(id) {
  return request({
    url: '/ehs/environapprcont/' + id,
    method: 'get'
  })
}

// 新增环保批文主要内容
export function addEnvironapprcont(data) {
  return request({
    url: '/ehs/environapprcont',
    method: 'post',
    data: data
  })
}

// 修改环保批文主要内容
export function updateEnvironapprcont(data) {
  return request({
    url: '/ehs/environapprcont',
    method: 'put',
    data: data
  })
}

// 删除环保批文主要内容
export function delEnvironapprcont(id) {
  return request({
    url: '/ehs/environapprcont/' + id,
    method: 'delete'
  })
}

// 导出环保批文主要内容
export function exportEnvironapprcont(query) {
  return request({
    url: '/ehs/environapprcont/export',
    method: 'get',
    params: query
  })
}
